Bug 64224 - FILESAVE: Chart with transparent background loses transparency when spreadsheet saved in Excel 2007/2010 format
Summary: FILESAVE: Chart with transparent background loses transparency when spreadshe...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.0.3.2 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.1.0 target:4.0.4
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-04 22:38 UTC by Tom Williams
Modified: 2013-11-21 13:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Test case spreadsheet with the embedded chart with transparent background. (32.43 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-05-04 22:38 UTC, Tom Williams
Details
Test case spreadsheet with the embedded chart with transparent background. (32.43 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-05-04 22:38 UTC, Tom Williams
Details
Test case saved as XLS file and viewed in Excel 2007. (52.00 KB, image/png)
2013-05-04 22:39 UTC, Tom Williams
Details
Test case saved as XLSX file and viewed in Excel 2007. (64.55 KB, image/png)
2013-05-04 22:39 UTC, Tom Williams
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Williams 2013-05-04 22:38:01 UTC
Created attachment 78863 [details]
Test case spreadsheet with the embedded chart with transparent background.

When I save a spreadsheet with an embedded chart with a transparent background in MS Excel 2007/2010 format, the transparent background of the chart is lost when the spreadsheet is opened in MS Excel 2007.   If I save the same spreadsheet in MS Excel XP/2003 format, the transparent background of the chart is preserved when the spreadsheet is opened in MS Excel 2007.

Steps to reproduce:
1. Create a spreadsheet in Calc with a chart with a transparent background
2. Save the spreadsheet in Excel 2007/2010 format
3. View the spreadsheet in Excel 2007

Current behavior: 
Excel 2007 displays the Excel 2007/2010 format spreadsheet with the embedded chart not having a transparent background.

Expected behavior:
Excel 2007 should display the Excel 2007/2010 format spreadsheet with the embedded chart having the transparent background preserved.

Operating System: Ubuntu
Version: 4.0.3.2 (rc2) release

I had eluded to this issue in bug report #59857, which focused on a warning message that was being issued by MS Excel when the 2007/2010 format spreadsheet was being opened.   This bug report focuses on the fact the transparent background of the chart isn't preserved when the spreadsheet is saved in MS Excel 2007/2010 format.
Comment 1 Tom Williams 2013-05-04 22:38:27 UTC
Created attachment 78864 [details]
Test case spreadsheet with the embedded chart with transparent background.
Comment 2 Tom Williams 2013-05-04 22:39:05 UTC
Created attachment 78865 [details]
Test case saved as XLS file and viewed in Excel 2007.
Comment 3 Tom Williams 2013-05-04 22:39:35 UTC
Created attachment 78866 [details]
Test case saved as XLSX file and viewed in Excel 2007.
Comment 4 Commit Notification 2013-05-05 23:44:10 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e2292b3cdd032edff21f0016b7f61e9bb420699

map full transparent solid fill to no fill, fdo#64224



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Markus Mohrhard 2013-05-05 23:46:02 UTC
Waiting for review for 4-0 at https://gerrit.libreoffice.org/#/c/3792/

If you have more such cases please set me into CC as I will miss them otherwise.
Comment 6 Commit Notification 2013-05-06 11:44:43 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5672bfda87bce5e05e6ef1ecc20f36b4fc7a92ef&h=libreoffice-4-0

map full transparent solid fill to no fill, fdo#64224


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.